$MC::Tester[$MC::TesterCount++] = "Brian Smith";	//-1
$MC::Tester[$MC::TesterCount++] = "SirLancelot";	//2
$MC::Tester[$MC::TesterCount++] = "pecon7";			//1
$MC::Tester[$MC::TesterCount++] = "Port"; 			//-2
$MC::Tester[$MC::TesterCount++] = "siba"; 			//-3
$MC::Tester[$MC::TesterCount++] = "Nexus"; 			//-4
$MC::Tester[$MC::TesterCount++] = "ottosparks"; 	//3
$MC::Tester[$MC::TesterCount++] = "Greek2Me"; 		//4
$MC::Tester[$MC::TesterCount++] = "Lugnut"; 		//5
$MC::Tester[$MC::TesterCount++] = "modman"; 		//6
$MC::Tester[$MC::TesterCount++] = "Fastlex"; 		//-5
$MC::Tester[$MC::TesterCount++] = "MaroonCacti"; 	//7
$MC::Tester[$MC::TesterCount++] = "Boomerangdog"; 	//8
$MC::Tester[$MC::TesterCount++] = "Crown"; 			//9
$MC::Tester[$MC::TesterCount++] = "Young Rotations";//10

if(isPackage(MCTesters))
	deactivatepackage(MCTesters);
package MCTesters
{
	function gameConnection::onConnectRequest( %this, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n )
	{
		%p = parent::onConnectRequest( %this, %a, %b, %c, %d, %e, %f, %g, %h, %i, %j, %k, %l, %m, %n );
		echo(%c @ " attempted to connect");
		%ok = false;
		for(%i=0;%i<$MC::TesterCount;%i++)
		{
			if($MC::Tester[%i] $= %c)
			{
				%ok = true;
			}
		}
		if(%ok == false)
			return "Your not in beta";
		else
			return %p;
	}
};activatepackage(MCTesters);